/*
 *    Copyright 1990, Integrated Computer Solutions, Inc.
 *
 *		       All Rights Reserved.
 *
 * AUTHOR: Chris D. Peterson
 *
 */

#ifndef __Xi_h__
#define __Xi_h__

#if defined(VMS) || defined(__VMS)
#include <X11/apienvset.h>
#endif

#ifdef XiRENAME_WIDGETS
#include <Xi/BX.h>
#endif

/************************************************************
*	INCLUDE FILES
*************************************************************/

#include <Xm/Xm.h>
#include <Xi/XiEPakDefs.h>

#define XiVERSION 	2
#define XiREVISION	5
#define XiUPDATE_LEVEL	1
#define XiVersion (XiVERSION * 1000 + XiREVISION)
#define XiVERSION_STRING "@(#)ICS/EnhancementPak Version 2.5.1 (03/15/96)"

#ifdef VMS
#ifndef bzero
#define bzero(b,len) memset(b, 0, (size_t)(len))
#endif
#ifndef bcopy
#define bcopy(b1,b2,len) memmove(b2, b1, (size_t)(len))
#endif
#endif

/************************************************************
*	TYPEDEFS AND DEFINES
*************************************************************/

/*
 * General name definitions.
 */

#define XmNdropCallback "dropCallback"

/*
 * Ics Widget set ERROR identifiers.
 */

#define XiNbadActionParameters "badActionParameters"
#define XiNbadActionParametersMsg \
    "Bad parameters passed to an action routine of widget '%s'."

#define XiNbadMotionParams "badMotionParams"
#define XiNbadMotionParamsMsg \
"%s - Motion Action : must have exactly 1 parameter, either '%s' or '%s'."

#define XiNbadRowPixmap "badRowPixmap"
#define XiNbadRowPixmapMsg "Extended List: Row pixmaps must have depth of 1."

#define XiNbadXlfdFont "badXlfdFont"
#define XiNbadXlfdFontMsg \
"%s: All Xlfd fonts must contain 14 hyphens\n'%s' is not valid."

#define XiNcellNotEmpty "cellNotEmpty"
#define XiNcellNotEmptyMsg "XiIconBox: Cell %s is not empty"

#define XiNcolorNameTooLong "colorNameTooLong"
#define XiNcolorNameTooLongMsg \
  "%s: Color name '%s' is too long, truncated to '%s'."

#define XiNcontextSaveFailed "contextSaveFailed"
#define XiNcontextSaveFailedMsg "Internal Error: Could not save context data."

#define XiNconversionFailure "conversionFailure"
#define XiNconversionFailureMsg \
	"%s: Unable to perform string to %s conversion."

#define XiNcouldNotFindFamilyData "couldNotFindFamilyData"
#define XiNcouldNotFindFamilyDataMsg \
  "%s: Could not find family data for family '%s'."

#define XiNforceGreaterThanZero "forceGreaterThanZero"
#define XiNforceGreaterThanZeroMsg \
"%s : %s must be greater than zero being reset to one (1)."
    
#define XiNinsertBeforeNotSibling "insertBeforeNotSibling"
#define XiNinsertBeforeNotSiblingMsg "XiHierarchy: InsertBefore Widget\
 is not a sibling of '%s'.\nInserting child at end of list."
    
#define XiNnoComboShell "noComboShell"
#define XiNnoComboShellMsg \
    "Combination Box: When using a custom combo box a shell must be provided."

#define XiNnoEmptyCells "noEmptyCells"
#define XiNnoEmptyCellsMsg "XiIconBox: Could not find any empty cells."

#define XiNnoGadgetSupport "noGadgetSupport"
#define XiNnoGadgetSupportMsg "Widget %s does not support gadget children."
    
#define XiNpixEditBadImageCreate "pixEditBadImageCreate"
#define XiNpixEditBadImageCreateMsg "Pixmap Editor: Can't allocate image data"

#define XiNsameAsImageOrPix "sameAsImageOrPix"
#define XiNsameAsImageOrPixMsg \
"%s : The bitmapMode resource can only be changed at the same time as the pixmap or image"

#define XiNselfOrOutsideOfApplicationDrop "selfOrOutsideOfApplicationDrop"
#define XiNselfOrOutsideOfApplicationDropMsg \
    "Attempt to drop into illegal object."

#define XiNstaticResource "staticResource"
#define XiNstaticResourceMsg \
    "The resource '%s' may not be changed dynamically."

#define XiNtextVerifyFailed "textVerifyFailed"
#define XiNtextVerifyFailedMsg "Combination Box: Text item validation failed."

#define XiNunexpectedEvent "unexpectedEvent"
#define XiNunexpectedEventMsg "%s: Unexpected Event Type %s.\n"

#define XiNunparsableColor "unparsableColor"
#define XiNunparsableColorMsg \
  "%s: Could not parse the color name '%s'."

#define XiNnodeParentIsSelf "nodeParentIsSelf"
#define XiNnodeParentIsSelfMsg \
  "%s: The node parent cannot be self referential."

#define XiNstringGetFailed "stringGetFailed"
#define XiNstringGetFailedMsg "%s: XmGetStringLToR Failed."

#define XiCICSWidgetSetError "ICSWidgetSetError"

/************************************************************
*	MACROS
*************************************************************/

/************************************************************
*	GLOBAL DECLARATIONS
*************************************************************/

/************************************************************
*	EXTERNAL DECLARATIONS
*************************************************************/

/************************************************************
*	CALLBACK REASONS
*************************************************************/
enum {
    XiCR_NONE = 200,
    XiCR_UPDATE_SHELL,
    XiCR_UPDATE_TEXT,
    XiCR_VERIFY_TEXT,
    XiCR_VERIFY_TEXT_FAILED,
    XiCR_ENTER_CHILD,
    XiCR_LEAVE_CHILD
};
	  

#if defined(__cplusplus)
extern "C" {
#endif

void XiCopyISOLatin1Lowered(
#ifndef _NO_PROTO
char *, char *
#endif
);

int XiCompareISOLatin1(
#ifndef _NO_PROTO
char*, char*
#endif
);

Boolean XiCompareXtWidgetGeometryToWidget(
#ifndef _NO_PROTO
XtWidgetGeometry*, Widget
#endif
);

Boolean XiCompareXtWidgetGeometry(
#ifndef _NO_PROTO
XtWidgetGeometry*, XtWidgetGeometry*
#endif
);

void XiBXRegisterWidgets(
#ifndef _NO_PROTO
void
#endif
);

#if defined(__cplusplus)
}
#endif

#if defined(VMS) || defined(__VMS)
#include <X11/apienvrst.h>
#endif

#endif /* __Xi_h__ */
