// Revision: 31 1.3.1.3 source/multmed/immowin.hpp, multimedia, ioc.v400, 000920  
/* NOSHIP */
#ifndef _IMMOWIN_
   #define _IMMOWIN_
/*******************************************************************************
* FILE NAME: immowin.hpp                                                       *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     IMMMessageWindow                                                         *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*   US Government Users Restricted Rights - Use, duplication, or disclosure    *
*   restricted by GSA ADP Schedule Contract with IBM Corp.                     *
*                                                                              *
*******************************************************************************/
#include <iobjwin.hpp>
#include <immdev.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

#ifdef IC_PMWIN

class IMMMessageWindow : public IObjectWindow {
typedef IObjectWindow
  Inherited;
public:
  IMMMessageWindow(IMMDevice& device);
virtual
  ~IMMMessageWindow();
IMMDevice
  &device() const;
IWindowNotifyHandler*
  notificationHandler    ( ) const;
IMMMessageWindow
 &setNotificationHandler (IWindowNotifyHandler* notifyHandler);

private:
/*--------------------------------- Private ----------------------------------*/

/*--------------------------------- Hidden Functions--------------------------*/
  IMMMessageWindow      ( const IMMMessageWindow& window );
IMMMessageWindow
 &operator=             ( const IMMMessageWindow& window );


IMMDevice
  *relatedDevice;
}; // IMMMessageWindow

#endif /* IC_PMWIN  */

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _IMMOWIN_ */
