#ifndef _ICCONSTG_
#define _ICCONSTG_
/*----------------------------------------------------------------------------*/
/* FILE NAME: icconstg.h                                                      */
/*                                                                            */
/* DESCRIPTION:                                                               */
/*   Graphics resource identifier macro constants.                         */
/*                                                                            */
/* COPYRIGHT:                                                                 */
/*   IBM Open Class Library                                                   */
/*   Licensed Materials - Property of IBM                                     */
/*                                                                            */
/*   (C) Copyright IBM Corporation 1992, 1996  All Rights Reserved.           */
/*                                                                            */
/*   US Government Users Restricted Rights - Use, duplication, or             */
/*   disclosure restricted by GSA ADP Schedule Contract with IBM Corp.        */
/*                                                                            */
/*----------------------------------------------------------------------------*/


// The following identifiers are used for exception handling in the GBM
// image handling code.

#define IC_GBM_UNKNOWN_ERROR                 258
#define IC_GBM_OPEN_FAILED                   259
#define IC_GBM_CREATE_FAILED                 260
#define IC_GBM_NO_SUPPORT                    261
#define IC_GBM_HDC_FAILED                    262
#define IC_GBM_HPS_FAILED                    263
#define IC_GBM_METAFILE_FAILED               264
#define IC_GBM_BITMAP_FAILED                 265
#define IC_GBM_NEED_CLIPPED                  266
#define IC_GBM_NOT_SUPPORTED                 267
#define IC_GBM_BAD_OPTION                    268
#define IC_GBM_NOT_FOUND                     269
#define IC_GBM_BAD_MAGIC                     270
#define IC_GBM_BAD_SIZE                      271
#define IC_GBM_READ_FAILED                   272
#define IC_GBM_WRITE_FAILED                  273
#define IC_GBM_BMP_PLANES                    274
#define IC_GBM_BMP_BITCOUNT                  275
#define IC_GBM_BMP_CBFIX                     276
#define IC_GBM_BMP_COMP                      277
#define IC_GBM_BMP_OFFSET                    278
#define IC_GBM_GIF_BPP                       279
#define IC_GBM_GIF_TERM                      280
#define IC_GBM_GIF_CODE_SIZE                 281
#define IC_GBM_GIF_CORRUPT                   282
#define IC_GBM_IAX_SIZE                      283
#define IC_GBM_KPS_OPEN                      284
#define IC_GBM_KPS_CREATE                    285
#define IC_GBM_LBM_FORM                      286
#define IC_GBM_LBM_ILBM                      287
#define IC_GBM_LBM_BMHD_2                    288
#define IC_GBM_LBM_BMHD_0                    289
#define IC_GBM_LBM_BMHD_SIZE                 290
#define IC_GBM_LBM_BPP                       291
#define IC_GBM_LBM_CMAP_SIZE                 292
#define IC_GBM_LBM_COMP                      293
#define IC_GBM_LBM_CAMG_SIZE                 294
#define IC_GBM_LBM_SHAM_VER                  295
#define IC_GBM_PCX_BAD_VERSION               296
#define IC_GBM_PCX_BAD_ENCMODE               297
#define IC_GBM_PCX_BAD_BITS                  298
#define IC_GBM_PCX_BAD_TRAILER               299
#define IC_GBM_PGM_BAD_M                     300
#define IC_GBM_PSEG_NOT_5A                   301
#define IC_GBM_PSEG_BAD_RECORD               302
#define IC_GBM_PSEG_SIZE                     303
#define IC_GBM_PSEG_INV_WIDTH                304
#define IC_GBM_PSEG_INV_DEFCEL               305
#define IC_GBM_PSEG_INV_CEL                  306
#define IC_GBM_PSEG_INV_CELPOS               307
#define IC_GBM_PSEG_UNEX_REC                 308
#define IC_GBM_SPR_FIRST                     309
#define IC_GBM_SPR_MODE                      310
#define IC_GBM_SPR_OFFSET                    311
#define IC_GBM_SPR_PAL8                      312
#define IC_GBM_TGA_BAD_BPP                   313
#define IC_GBM_TGA_BAD_TYPE                  314
#define IC_GBM_TGA_BAD_PAL                   315
#define IC_GBM_TIF_VERSION                   316
#define IC_GBM_TIF_N_TAGS                    317
#define IC_GBM_TIF_TAG_TYPE                  318
#define IC_GBM_TIF_HEADER                    319
#define IC_GBM_TIF_MISSING_TAG               320
#define IC_GBM_TIF_SPP_BIT                   321
#define IC_GBM_TIF_BPS_BIT                   322
#define IC_GBM_TIF_SPP_RGB                   323
#define IC_GBM_TIF_BPS_RGB                   324
#define IC_GBM_TIF_SPP_PAL                   325
#define IC_GBM_TIF_BPS_PAL                   326
#define IC_GBM_TIF_SPP_CMYK                  327
#define IC_GBM_TIF_BPS_CMYK                  328
#define IC_GBM_TIF_COMP_1D_MH                329
#define IC_GBM_TIF_COMP_T4                   330
#define IC_GBM_TIF_COMP_T6                   331
#define IC_GBM_TIF_COMP                      332
#define IC_GBM_TIF_COLORMAP                  333
#define IC_GBM_TIF_CORRUPT                   334
#define IC_GBM_TIF_PREDICTOR                 335
#define IC_GBM_TIF_PHOTO_TRANS               336
#define IC_GBM_TIF_PHOTO_Y_Cb_Cr             337
#define IC_GBM_TIF_PHOTO                     338
#define IC_GBM_TIF_FILLORDER                 339
#define IC_GBM_TIF_PLANARCONFIG_1            340
#define IC_GBM_TIF_PLANARCONFIG_12           341
#define IC_GBM_TIF_INKSET                    342
#define IC_GBM_TIF_ORIENT                    343
#define IC_GBM_TIF_INDEX                     344
#define IC_GBM_VID_BAD_W                     345
#define IC_GBM_XBM_EXP_ID                    346
#define IC_GBM_XBM_UNEXP_EOF                 347
#define IC_GBM_XBM_EXP_CHAR                  348
#define IC_GBM_XBM_EXP_LSQR                  349
#define IC_GBM_XBM_EXP_RSQR                  350
#define IC_GBM_XBM_EXP_EQUALS                351
#define IC_GBM_XBM_EXP_LCUR                  352
#define IC_GBM_XBM_EXP_RCUR                  353
#define IC_GBM_XBM_EXP_COMMA                 354
#define IC_GBM_XBM_EXP_NUMBER                355
#define IC_GBM_XBM_EXP_SEMI                  356

#endif // _ICCONSTG_
